MANDB(8)

BEZEICHNUNG
mandb - Zwischenspeicher für Handbuchseiten-Indizes erzeugen oder aktualisieren

ÜBERSICHT
mandb [-dqsucpt?V] [-C Datei] [Pfad]
mandb [-dqsut] [-C Datei] -f Dateiname ...

BESCHREIBUNG
mandb wird für die Initialisierung und die manuelle Aktualisierung der Index-Datenbank-Zwischenspeicher verwendet. Die Zwischenspeicher enthalten wichtige Informationen zum aktuellen Zustand des Handbuchseitensystems. Die dort gespeicherten Informationen verwenden die Man-db-Programme, um ihre Geschwindigkeit zu erhöhen und Funktionalität zu verbessern.

Beim Erzeugen oder Aktualisieren eines Index wird mandb vor schlechten ROFF-.so-Anfragen, merkwürdigen Dateinamen für Handbuchseiten oder Handbuchseiten, bei denen whatis nicht ausgewertet werden kann, warnen.

Wenn mandb beim Aufruf ein optionaler, durch Doppelpunkte gegliederter Pfad übergeben wird, so hebt dieser den internen, in der Man-db-Konfigurationsdatei festgelegten systemweiten Handbuchhierarchie-Suchpfad auf.

DATENBANK-ZWISCHENSPEICHER
mandb kann mit Unterstützung für jeden der folgenden Datenbanktypen kompiliert werden.

Name | asynch | Dateiname
Berkeley-Datenbank | Ja | index.bt
GNU gdbm | Ja | index.db
UNIX ndbm | Nein | index.(dir|pag)

Diejenigen Datenbanktypen, die asynchrone Aktualisierungen unterstützen, ermöglichen eine höhere Geschwindigkeit. Der höheren Geschwindigkeit gegenüber steht das Risiko, dass die Datenbank bei einer unüblichen Beendigung des Programms beschädigt wird. Dann kann es erforderlich sein, mandb mit der Option -c zu starten, um die Datenbanken von Grund auf neu zu erstellen.

OPTIONEN

-d, --debug
    Ausgabe von Debug-Informationen

-q, --quiet
    keine Warnmeldungen erzeugen

-s, --no-straycats
    Nicht Informationen über Stray Cats (Cat-Seiten ohne Quelltext) suchen oder in die Datenbank aufnehmen.

-p, --no-purge
    Nicht nach gelöschten Handbuchseiten suchen und diese vollständig aus der Datenbank löschen.

-c, --create
    Standardmäßig versucht mandb zunächst, eine bestehende Datenbank zu aktualisieren. Ist keine Datenbank vorhanden, wird sie erstellt. Diese Option zwingt mandb dazu, die Datenbank von Grund auf neu zu erstellen und impliziert --no-purge. Dieses kann notwendig sein, wenn eine Datenbank beschädigt oder das Datenbank-Schema geändert wird.

-u, --user-db
    Erzeugt nur benutzereigene Datenbanken, selbst wenn Schreibrechte auf systemweite Handbuchhierarchien bestehen.

-t, --test
    Überprüft Handbuchseiten im Hierarchie-Suchpfad auf Fehlerfreiheit. Mit dieser Option wird mandb keine existierenden Datenbanken ändern.

-f, --filename
    Aktualisiert nur die Einträge für den angegebenen Dateinamen. Diese Option ist nicht für den Allgemeingebrauch, sondern wird intern von man verwendet, wenn es mit der Option MAN_DB_UPDATES kompiliert wurde und die Seite als veraltet betrachtet. Diese Option impliziert -p und schaltet -c und -s ab.

-C Datei, --config-file=Datei
    Verwendung dieser benutzerspezifischen Konfigurationsdatei an Stelle der Vorgabe ~/.manpath

-?, --help
    Gebrauchsanweisung anzeigen und beenden.

--usage
    zeigt eine kurze Anwendungszusammenfassung an und beendet das Programm.

-V, --version
    Programmversion anzeigen und beenden.

EXIT-STATUS

0   erfolgreiche Programmausführung

1   Verwendungs-, Syntax- oder Konfigurationsdateien-Fehler.

2   betriebsbedingter Fehler

3   Ein Kindprozess ist fehlgeschlagen.

DIAGNOSE
Die folgenden Warnmeldungen können bei der Erstellung der Datenbank auftreten.

<Dateiname>: Whatis-Auswertung für Seite(Abschnitt) fehlgeschlagen
    Ein Versuch, die Whatis-Zeile(n) aus dem angegebenen <Dateinamen> zu entnehmen, ist fehlgeschlagen. Das liegt in der Regel an einer schlecht geschriebenen Handbuchseite, aber wenn die Meldung öfters auftritt, kann es sein, dass das System nicht standardkonforme Handbuchseiten enthält, die nicht mit dem Parser (Auswerteprogramm) der Man-db-Implementierung von Whatis kompatibel sind. Weitere Informationen finden Sie im Abschnitt WAS BEDEUTET PARSEN in lexgrog(1).

<Dateiname>: Ist ein toter symbolischer Link
    <Dateiname> existiert nicht, aber ein symbolischer Link weist dorthin. Die folgenden Diagnosemeldungen dienen der Identifizierung des <Dateinamens> des betreffenden Links.

<Dateiname>: Schlechter symbolischer Link oder schlechte ROFF».so«-Anfrage
    <Dateiname> ist entweder ein symbolischer Link oder enthält eine ROFF-haltige Anfrage zu einer nicht existierenden Datei.

<Dateiname>: Schein-Dateiname ignoriert
    Der <Dateiname> könnte eine gültige Handbuchseite sein, aber ihr Name ist nicht gültig. Das liegt in der Regel an einer Handbuchseite mit abschnittsweiser Erweiterung <x>, die in den Handbuchseitenabschnitt <y> eingefügt wurde.

<filename_mask>: Konkurrierende Erweiterungen
    Der Platzhalter <filename_mask> ist nicht einzigartig. Das liegt normalerweise daran, dass eine komprimierte und eine unkomprimierte Version der selben Handbuchseite nebeneinander existieren. Alle außer der jüngsten werden ignoriert.

DATEIEN

/etc/manpath.config
    Konfigurationsdatei für Man-db

/var/cache/man/index.(bt|db|dir|pag)
    ein FHS-konformer, globaler Zwischenspeicher für die Index-Datenbank

Frühere Speicherorte für den Datenbankzwischenspeicher waren unter anderem:

/usr/man/index.(bt|db|dir|pag)
    ein traditioneller, globaler Zwischenspeicher für die Index-Datenbank

/var/catman/index.(bt|db|dir|pag)
    ein alternativer oder FSSTND-konformer, globaler Index-Datenbankzwischenspeicher

SIEHE AUCH
lexgrog(1), man(1), manpath(5), catman(8)

Der frühere Abschnitt WAS BEDEUTET PARSEN ist jetzt Teil von lexgrog(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

FEHLER
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db